stages:
  - build
  - tests
  - deploy

build:
  stage: build
  image: golang:1.14
  script:
    - make build
  artifacts:
    expire_in: 3d
    paths:
      - rotation_api

linters:
  stage: tests
  image: golangci/golangci-lint
  script:
    - make lint

unit-tests:
  stage: tests
  image: golang:1.14
  before_script:
    - make install-deps
  script:
    - make unit-tests
  artifacts:
    reports:
      junit: report.xml

deploy:
  stage: deploy
  script:
    - echo "DEPLOY!"
  when: manual
